thesignup docs
APISignupsId

Read a single signup by id

GET
/signups/{id}
AuthorizationBearer <token>

Long-lived org-scoped API key. Generate one from your account dashboard. Pass as Authorization: Bearer sgn_live_….

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/signups/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "550e8400-e29b-41d4-a716-446655440100",
  "organizationId": "org_123",
  "slug": "fall-fundraiser-a1b2",
  "title": "Fall fundraiser",
  "status": "published",
  "eventDate": "2026-09-15T17:00:00Z",
  "signupCloseDate": "2019-08-24T14:15:22Z",
  "location": "string",
  "isPrivate": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "description": "string",
  "maxParticipants": 0,
  "requiresPhone": true,
  "eventWideCustomField": {
    "name": "string",
    "required": true,
    "type": "short"
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}